/* common */

html,
body {
    padding: 0;
    margin: 0;
}
* {
    box-sizing: border-box;
}
body {
    background-color: #42414d;
    font-size: calc(10px + 1vmin);
    color: darkgray;
}

/* fullscreen layout */

.App {
    height: 100vh;
    display: flex;
    flex-direction: column;
}
.header {
    flex: 0;
}
.footer {
    display: flex;
    justify-content: space-between;
}
.container {
    flex: 1;
}

.container {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 1.9fr 0.9fr 0.2fr;
    gap: 0 0;
    grid-template-areas:
        "video chat"
        "video map"
        "footer map";
    overflow: hidden;
}
.map { grid-area: map; }
.video { grid-area: video; }
.chat { grid-area: chat; }
.footer { grid-area: footer; }

/* layout improvements */

.footer {
    padding: 1rem 1.5rem;
}

.header {
    background-color: #282c34;
    padding: 0.5rem 1.5rem;
    display: flex;
    align-items: center;
}

.header .title {
    margin-left: 1.5rem;
}

.header .logo {
    width: auto;
    height: 2rem;
}

.header .logo path {
    fill: white;
}

/* coloring */

.video {
    background-color: black;
}

.map {
    background-color: darkslategrey;
}

.chat {
  background-color: darkslateblue;
}

.footer {
  padding: 0.75rem 2rem;
  display: flex;
  justify-content: space-between;
}

.header .pseudo {
    padding: 0 0.25rem 0.15rem;
    margin: 0 0 0 auto;
    border-radius: 0.5rem;
    font-size: 1rem;
    border: 3px solid darkgray;
}

.header .pseudo:hover {
    border-color: transparent;
    background-color: darkgray;
    color: black;
}